com.amazonaws.codegen

## Class AddEmptyOutputShape

- java.lang.Object
- - com.amazonaws.codegen.AddEmptyOutputShape

All Implemented Interfaces:
  IntermediateModelShapeProcessor

    public class AddEmptyOutputShape
    extends Object
    implements IntermediateModelShapeProcessor

### Constructor Summary

Constructors
Constructor and Description
`AddEmptyOutputShape(IntermediateModelBuilder builder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,ShapeModel>` `process(Map<String,OperationModel> currentOperations, Map<String,ShapeModel> currentShapes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddEmptyOutputShape

    public AddEmptyOutputShape(IntermediateModelBuilder builder)

### Method Detail

#### process

    public Map<String,ShapeModel> process(Map<String,OperationModel> currentOperations,
                                          Map<String,ShapeModel> currentShapes)

Specified by:
  `process` in interface `IntermediateModelShapeProcessor`
Parameters:
  `currentOperations` - Current operations that have been added to the intermediate model.
  `currentShapes` - Current shapes that have been added to the intermediate model
Returns:
  Map of shape name to ShapeModel to add to the intermediate model.